<?php

namespace core\search;
use core\{utility\Utility, database\Database, theme\Theme, user\User, route\Route, translation\Translation as T};

class Search {
	use Api, Form;
	
	function regenerate() {
		if (T::check_language_change()) {
			$this->set_container();
		}
	}

	function search() {
		Route::clear_post();
		
		$route_param = Route::get_route_language_param();
		
		$search = $_POST['search'] ?? '';

		$form = '<div class="field">'.$this->get_form(compact('search')).'</div>';

		$result = '';
		if (isset($_POST['search'])) {
			$content = Database::select('content')
				->data(['id', 'title', 'body'])
				->where('title', $search, 'LIKE')
				->where('body', $search, 'LIKE', 'OR')
				->limit(50, 0)
				->fetch('object_all');

			if ($content) {
				foreach ($content as $key => $value) {
					$body = T::get($value->body);
					$body = strip_tags($body);
					$body = mb_strimwidth($body, 0, 100, '...');
					
					$href = Route::get_route_alias($value->id, 'content');
					$href = $href == '/' ? '' : $href;
					$href = Route::render_route($href).$route_param;

					$result .= '<div class="block"><a href="'.$href.'">'.T::get($value->title).'</a><br>'.$body.'</div>';
				}
			} else {
				$result = T::get('Не найдено');
			}
		}

		$result = $form.$result;

		return $result;
	}
}
